Bug 243782 - irc/oragono: fix build on aarch64
Summary: irc/oragono: fix build on aarch64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Only Me
Assignee: Mikael Urankar
URL: http://thunderx1.nyi.freebsd.org/data...
Keywords:
Depends on:
Blocks: 242312
  Show dependency treegraph
 
Reported: 2020-02-01 15:57 UTC by Mikael Urankar
Modified: 2020-02-24 19:28 UTC (History)
1 user (show)

See Also:
yuri: maintainer-feedback+


Attachments
patch (1.38 KB, patch)
2020-02-01 15:57 UTC, Mikael Urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2020-02-01 15:57:05 UTC
Created attachment 211255 [details]
patch

Replace embedded golang-sys by fead79001313 to fix build on aarch64
Comment 1 Emmanuel Vadot freebsd_committer 2020-02-21 11:51:50 UTC
Approved-by: manu (mentor)
Comment 2 commit-hook freebsd_committer 2020-02-24 17:03:28 UTC
A commit references this bug:

Author: mikael
Date: Mon Feb 24 17:02:45 UTC 2020
New revision: 526999
URL: https://svnweb.freebsd.org/changeset/ports/526999

Log:
  irc/oragono: Unbreak on aarch64

  Unbreak by pulling in golang.org/x/sys@fead7900131 to fix build on aarch64

  PR:		243782
  Approved by:	yuri (maintainer), manu (mentor)

Changes:
  head/irc/oragono/Makefile
  head/irc/oragono/distinfo